View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/samba
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
applied/ubuntu/oneiric-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.5.11~dfsg-1ubuntu2.3 to applied/ubuntu/one...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.5.11~dfsg-1ubuntu2.3 to applied/ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: b529b285e1f74c01def4828a04a31d74bac88ef9
Unapplied parent: 5734355c4ed1b26cf48f9ad8351cbd5f9306db29

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/natty-updates 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.5 to applied/ubuntu/natt...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.5 to applied/ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 926fc2aa612b68067a673a015aa242b2c69ead04
Unapplied parent: fc4fa100da45593334157eb1733d71aa1672d350

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/natty-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.5 to applied/ubuntu/natt...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.5 to applied/ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 926fc2aa612b68067a673a015aa242b2c69ead04
Unapplied parent: fc4fa100da45593334157eb1733d71aa1672d350

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/precise-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.6.3-2ubuntu2.1 to applied/ubuntu/precise-s...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.6.3-2ubuntu2.1 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: d2b1eac2665eab346d0d4e49c66faa6fd26fe2b4
Unapplied parent: 24c18823158848565efd4edc14f97671707d94aa

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/precise-security 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.6.3-2ubuntu2.1 to applied/ubuntu/precise-s...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.6.3-2ubuntu2.1 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: d2b1eac2665eab346d0d4e49c66faa6fd26fe2b4
Unapplied parent: 24c18823158848565efd4edc14f97671707d94aa

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/lucid-updates 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/luc...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 065dd618100c16ec52fc18e44dee54550616ca9d
Unapplied parent: b5ee2ec65a7e93d20d98ecd0a336f96e33943d72

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/lucid-security 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/luc...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 065dd618100c16ec52fc18e44dee54550616ca9d
Unapplied parent: b5ee2ec65a7e93d20d98ecd0a336f96e33943d72

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/lucid-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/luc...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.10 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 065dd618100c16ec52fc18e44dee54550616ca9d
Unapplied parent: b5ee2ec65a7e93d20d98ecd0a336f96e33943d72

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/oneiric-updates 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-s...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 0e4d6fbbbade99683d6ad46bc1bf071d57113420

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/oneiric-security 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-s...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 0e4d6fbbbade99683d6ad46bc1bf071d57113420

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/oneiric-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-s...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.3 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 0e4d6fbbbade99683d6ad46bc1bf071d57113420

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/natty-updates 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-secu...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 9132aad3d3631c61fd607d93f2dfed6812e4b646

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/natty-security 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-secu...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 9132aad3d3631c61fd607d93f2dfed6812e4b646

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

ubuntu/natty-devel 2012-05-01 06:37:36 UTC 2012-05-01
Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-secu...

Author: Tyler Hicks
Author Date: 2012-04-24 20:49:30 UTC

Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.5 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 9132aad3d3631c61fd607d93f2dfed6812e4b646

New changelog entries:
  * SECURITY UPDATE: Authenticated user can take ownership of arbitrary files
    and directories
    - debian/patches/CVE-2012-2111.patch: Remove excessive permissions granted
      in account related Local Security Authority remote procedure calls.
      Based on upstream patch.
    - CVE-2012-2111

applied/ubuntu/hardy-devel 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-se...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 9ff4d6454c960c7ab3fcdbccb10d9e8679c783fe
Unapplied parent: 57452de24f16d92618e8fdc064b9fa795b82b4d4

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

ubuntu/hardy-security 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 337fdd5d06d02f9e91545a4949f5a72c15517f64

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

ubuntu/hardy-devel 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 337fdd5d06d02f9e91545a4949f5a72c15517f64

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

applied/ubuntu/hardy-security 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-se...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 9ff4d6454c960c7ab3fcdbccb10d9e8679c783fe
Unapplied parent: 57452de24f16d92618e8fdc064b9fa795b82b4d4

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

applied/ubuntu/hardy-updates 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-se...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 3.0.28a-1ubuntu4.18 to applied/ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 9ff4d6454c960c7ab3fcdbccb10d9e8679c783fe
Unapplied parent: 57452de24f16d92618e8fdc064b9fa795b82b4d4

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

ubuntu/hardy-updates 2012-04-12 23:39:02 UTC 2012-04-12
Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-unapplied version 3.0.28a-1ubuntu4.18 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 337fdd5d06d02f9e91545a4949f5a72c15517f64

New changelog entries:
  [ Steve Beattie ]
  * SECURITY UPDATE: unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/security-CVE-2012-1182.patch: make variable length
      check be consistent with memory allocation size computation.
    - CVE-2012-1182

applied/ubuntu/devel 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-pro...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 299bb94537244c6d8d14d99b1ea0be2335d3a1da
Unapplied parent: fecca139469ddc014b3f90e1587b657eba0a292c

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

applied/ubuntu/precise 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-pro...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 299bb94537244c6d8d14d99b1ea0be2335d3a1da
Unapplied parent: fecca139469ddc014b3f90e1587b657eba0a292c

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

ubuntu/precise 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-unapplied version 2:3.6.3-2ubuntu2 to ubuntu/precise-proposed

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-unapplied version 2:3.6.3-2ubuntu2 to ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 701c7f3485f1efff5e1367aa5a82ffc0ce24cf61

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

applied/ubuntu/quantal-devel 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-pro...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 299bb94537244c6d8d14d99b1ea0be2335d3a1da
Unapplied parent: fecca139469ddc014b3f90e1587b657eba0a292c

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

applied/ubuntu/quantal 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-pro...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 299bb94537244c6d8d14d99b1ea0be2335d3a1da
Unapplied parent: fecca139469ddc014b3f90e1587b657eba0a292c

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

applied/ubuntu/precise-proposed 2012-04-12 20:04:12 UTC 2012-04-12
Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-pro...

Author: Tyler Hicks
Author Date: 2012-04-12 10:28:44 UTC

Import patches-applied version 2:3.6.3-2ubuntu2 to applied/ubuntu/precise-proposed

Imported using git-ubuntu import.

Changelog parent: 299bb94537244c6d8d14d99b1ea0be2335d3a1da
Unapplied parent: fecca139469ddc014b3f90e1587b657eba0a292c

New changelog entries:
  * SECURITY UPDATE: Unauthenticated remote code execution via
    RPC calls (LP: #978458)
    - debian/patches/CVE-2012-1182-1.patch: Fix PIDL compiler to generate code
      that uses the same value for array allocation and array length checks.
      Based on upstream patch.
    - debian/patches/CVE-2012-1182-2.patch: Regenerate PIDL generated files
      with the patched PIDL compiler
    - CVE-2012-1182

applied/ubuntu/oneiric-proposed 2011-10-25 06:13:10 UTC 2011-10-25
Import patches-applied version 2:3.5.11~dfsg-1ubuntu2.1 to applied/ubuntu/one...

Author: Steve Langasek
Author Date: 2011-10-21 00:58:26 UTC

Import patches-applied version 2:3.5.11~dfsg-1ubuntu2.1 to applied/ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 37ac5e66a6d4b89624073378f6262f69452d1116
Unapplied parent: 2da40f06d8d1af72e0a5c1040dd914fbe6480835

New changelog entries:
  * debian/patches/initialize_password_db-null-deref: Avoid null
    dereference in initialize_password_db(). Closes LP: #829221.

ubuntu/oneiric-proposed 2011-10-25 06:13:10 UTC 2011-10-25
Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.1 to ubuntu/oneiric-p...

Author: Steve Langasek
Author Date: 2011-10-21 00:58:26 UTC

Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2.1 to ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 90b78c5e34165d7fac1c57bf9322ff0d84ab9203

New changelog entries:
  * debian/patches/initialize_password_db-null-deref: Avoid null
    dereference in initialize_password_db(). Closes LP: #829221.

applied/debian/experimental 2011-10-22 21:29:23 UTC 2011-10-22
Import patches-applied version 2:3.6.1-1 to applied/debian/experimental

Author: Christian Perrier
Author Date: 2011-10-22 08:56:17 UTC

Import patches-applied version 2:3.6.1-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 4629e61897823fc364178a5ca0f13ae5c7ee1b0c
Unapplied parent: e5f4fb59eebb32cca86c4db1a0c8e63a808bbc1d

New changelog entries:
  * New upstream release

debian/lenny 2011-10-01 21:17:23 UTC 2011-10-01
Import patches-unapplied version 2:3.2.5-4lenny15 to debian/lenny

Author: Florian Weimer
Author Date: 2011-08-04 17:20:06 UTC

Import patches-unapplied version 2:3.2.5-4lenny15 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: 6749f63041cc02bf49879702546e7371210d7d87

New changelog entries:
  * Apply patches from Kai Blin to fix CVE-2011-2522, CVE-2011-2694
  * Security update, fixing the following issue:
    - CVE-2011-0719: denial of service by memory corruption

applied/debian/lenny 2011-10-01 21:17:23 UTC 2011-10-01
Import patches-applied version 2:3.2.5-4lenny15 to applied/debian/lenny

Author: Florian Weimer
Author Date: 2011-08-04 17:20:06 UTC

Import patches-applied version 2:3.2.5-4lenny15 to applied/debian/lenny

Imported using git-ubuntu import.

Changelog parent: 083829b60204415e2fc7254c8d16efa902d309f3
Unapplied parent: 88f3c49775a4eda4a00885cc7c6837c8799c9bf6

New changelog entries:
  * Apply patches from Kai Blin to fix CVE-2011-2522, CVE-2011-2694
  * Security update, fixing the following issue:
    - CVE-2011-0719: denial of service by memory corruption

applied/ubuntu/oneiric 2011-09-30 19:04:08 UTC 2011-09-30
Import patches-applied version 2:3.5.11~dfsg-1ubuntu2 to applied/ubuntu/oneiric

Author: Chuck Short
Author Date: 2011-09-30 17:08:34 UTC

Import patches-applied version 2:3.5.11~dfsg-1ubuntu2 to applied/ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 98a23e7d8fac454015746603de1f41b091fc1e4a
Unapplied parent: 913337305fd07e41898408deffe7f9e5bac69e60

New changelog entries:
  * debian/patches/fix-debuglevel-name-conflict.patch:
    Re-add patch that was mistakenly dropped. (LP: #529714)

ubuntu/oneiric 2011-09-30 19:04:08 UTC 2011-09-30
Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2 to ubuntu/oneiric

Author: Chuck Short
Author Date: 2011-09-30 17:08:34 UTC

Import patches-unapplied version 2:3.5.11~dfsg-1ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: dc147e89a53d13926bdce48eeb6a80a908e93cc6

New changelog entries:
  * debian/patches/fix-debuglevel-name-conflict.patch:
    Re-add patch that was mistakenly dropped. (LP: #529714)

applied/ubuntu/maverick-updates 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/mave...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: e0fbb0e6e66a6380ec629b13fd563f9d9346a504
Unapplied parent: 597030a302e95e30e3193388755992384a3e77d9

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

applied/ubuntu/maverick-security 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/mave...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: e0fbb0e6e66a6380ec629b13fd563f9d9346a504
Unapplied parent: 597030a302e95e30e3193388755992384a3e77d9

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

applied/ubuntu/maverick-devel 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/mave...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.5 to applied/ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: e0fbb0e6e66a6380ec629b13fd563f9d9346a504
Unapplied parent: 597030a302e95e30e3193388755992384a3e77d9

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

ubuntu/maverick-devel 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-s...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 08e76acdf16017680fde5b0a66a31016d7c8824e

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

ubuntu/maverick-security 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-s...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 08e76acdf16017680fde5b0a66a31016d7c8824e

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

ubuntu/maverick-updates 2011-08-02 18:07:55 UTC 2011-08-02
Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-s...

Author: Marc Deslauriers
Author Date: 2011-07-28 12:49:08 UTC

Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.5 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: 08e76acdf16017680fde5b0a66a31016d7c8824e

New changelog entries:
  * SECURITY UPDATE: cross-site scripting in SWAT
    - debian/patches/CVE-2011-2694.patch: don't display username in
      source3/web/swat.c.
    - CVE-2011-2694
  * SECURITY UPDATE: cross-site request forgery in SWAT
    - debian/patches/CVE-2011-2522.patch: implement nonce in
      source3/web/{cgi.c,statuspage.c,swat.c,swat_proto.h}.
    - CVE-2011-2522

applied/ubuntu/natty-proposed 2011-05-09 21:05:18 UTC 2011-05-09
Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.2 to applied/ubuntu/natt...

Author: Chow Loong Jin
Author Date: 2011-05-02 13:30:54 UTC

Import patches-applied version 2:3.5.8~dfsg-1ubuntu2.2 to applied/ubuntu/natty-proposed

Imported using git-ubuntu import.

Changelog parent: 7f4960bef4eed22a6bc8fe71c690b42109b63126
Unapplied parent: 078c1641d46f1ad0d6c988d7d4a329f0d2531ad1

New changelog entries:
  * debian/patches/fix-debuglevel-name-conflict.patch:
    + Fix issue with the "debug_level" variable name in libnss_wins.so
      conflicting with the "debug_level" global variable that some applications
      use (LP: #529714)

ubuntu/natty-proposed 2011-05-09 21:05:18 UTC 2011-05-09
Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.2 to ubuntu/natty-prop...

Author: Chow Loong Jin
Author Date: 2011-05-02 13:30:54 UTC

Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2.2 to ubuntu/natty-proposed

Imported using git-ubuntu import.

Changelog parent: 6d5cca8614e132247a405a6f7cdcf7bf14d32b2a

New changelog entries:
  * debian/patches/fix-debuglevel-name-conflict.patch:
    + Fix issue with the "debug_level" variable name in libnss_wins.so
      conflicting with the "debug_level" global variable that some applications
      use (LP: #529714)

applied/ubuntu/lucid-proposed 2011-04-14 18:08:23 UTC 2011-04-14
Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.6 to applied/ubuntu/luci...

Author: Chuck Short
Author Date: 2011-04-13 15:13:44 UTC

Import patches-applied version 2:3.4.7~dfsg-1ubuntu3.6 to applied/ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 9ea02f91dd1b50a1858dac5c1c7b8696ff1444b6
Unapplied parent: fcfd341a4ce8bafacb3eede2214e56053b2b48f0

New changelog entries:
  * debian/patches/backport-lp558793.patch: Fixes net ads dns register
    failing with Windows 2008 R2 domain. Backported from
    v3-4-stable tree (aaf6e34115c2bece85d0dc4f11951b38e9d77637
    and 0e1aec461ed69c82987cf86e6b1beb6862cc0fb4). (LP: #558793)
  * debian/patches/backport-lp736757.patch: Fix regression introduced
    by previous SRU bug fix. Backported from the v3-4-stable tree
    (995e7e500327e662b7ef2b37c83c92e75f2360bf) (LP: #736757)

ubuntu/natty 2011-04-06 17:20:13 UTC 2011-04-06
Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2 to ubuntu/natty

Author: Chuck Short
Author Date: 2011-04-06 16:56:42 UTC

Import patches-unapplied version 2:3.5.8~dfsg-1ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: d7b58fff1e513cc9b645668b29ac0746198c0daa

New changelog entries:
  * debian/patches/fix-upstream-lp-738968.patch: Fix connection
    to EMC Celerra NAS version 5.6.50. (LP: #738968)

applied/ubuntu/natty 2011-04-06 17:20:13 UTC 2011-04-06
Import patches-applied version 2:3.5.8~dfsg-1ubuntu2 to applied/ubuntu/natty

Author: Chuck Short
Author Date: 2011-04-06 16:56:42 UTC

Import patches-applied version 2:3.5.8~dfsg-1ubuntu2 to applied/ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: b3e54c9e6eaee2f826aee9e03e78e55b780df5f7
Unapplied parent: 75100c4705527fb9b62415983f17864480fed802

New changelog entries:
  * debian/patches/fix-upstream-lp-738968.patch: Fix connection
    to EMC Celerra NAS version 5.6.50. (LP: #738968)

applied/ubuntu/maverick-proposed 2011-03-04 18:05:06 UTC 2011-03-04
Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.4 to applied/ubuntu/mave...

Author: Stefano Rivera
Author Date: 2011-03-02 21:38:19 UTC

Import patches-applied version 2:3.5.4~dfsg-1ubuntu8.4 to applied/ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: a88d1f34451b302884f96f09495a1b7bab662c7c
Unapplied parent: 17a7ea0756fba31eb2089e87e5adf2fbd31d8081

New changelog entries:
  * debian/patches/ntlm-auth-lp623342.patch: ntlm_auth returns an invalid
    response key. (LP: #623342) Patch taken from upstream
    (https://bugzilla.samba.org/show_bug.cgi?id=7568)

ubuntu/maverick-proposed 2011-03-04 18:05:06 UTC 2011-03-04
Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.4 to ubuntu/maverick-p...

Author: Stefano Rivera
Author Date: 2011-03-02 21:38:19 UTC

Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8.4 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 1806b2e31387ae826c8187e8984b9471cec97745

New changelog entries:
  * debian/patches/ntlm-auth-lp623342.patch: ntlm_auth returns an invalid
    response key. (LP: #623342) Patch taken from upstream
    (https://bugzilla.samba.org/show_bug.cgi?id=7568)

applied/ubuntu/dapper-security 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-se...

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: cc98053f8767f40eb9883d076c08d8ef0b713a41
Unapplied parent: 683aba1a78258d3e7fc53c63e968228a98f0abd0

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/dapper-updates 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-se...

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: cc98053f8767f40eb9883d076c08d8ef0b713a41
Unapplied parent: 683aba1a78258d3e7fc53c63e968228a98f0abd0

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/karmic-updates 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-se...

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 165c5a784ec8f52d8ee3a1f77fbd42d33a5fa3ff
Unapplied parent: 3a961f430f096aaa80776d0357efa21f3a233cd8

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/karmic-security 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-se...

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 165c5a784ec8f52d8ee3a1f77fbd42d33a5fa3ff
Unapplied parent: 3a961f430f096aaa80776d0357efa21f3a233cd8

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/karmic-devel 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-se...

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-applied version 2:3.4.0-3ubuntu5.8 to applied/ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 165c5a784ec8f52d8ee3a1f77fbd42d33a5fa3ff
Unapplied parent: 3a961f430f096aaa80776d0357efa21f3a233cd8

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/karmic-devel 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 7c336b3605d9cdc423cb9412624bff00450f1dd3

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/karmic-security 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 7c336b3605d9cdc423cb9412624bff00450f1dd3

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/karmic-updates 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-02-23 21:21:11 UTC

Import patches-unapplied version 2:3.4.0-3ubuntu5.8 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 7c336b3605d9cdc423cb9412624bff00450f1dd3

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/dapper-devel 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: 4914c5bfbdb00285dbd849597ec387beafc660f4

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/dapper-security 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: 4914c5bfbdb00285dbd849597ec387beafc660f4

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

ubuntu/dapper-updates 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-unapplied version 3.0.22-1ubuntu3.14 to ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: 4914c5bfbdb00285dbd849597ec387beafc660f4

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/dapper-devel 2011-02-28 18:12:26 UTC 2011-02-28
Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-se...

Author: Marc Deslauriers
Author Date: 2011-02-24 18:11:08 UTC

Import patches-applied version 3.0.22-1ubuntu3.14 to applied/ubuntu/dapper-security

Imported using git-ubuntu import.

Changelog parent: cc98053f8767f40eb9883d076c08d8ef0b713a41
Unapplied parent: 683aba1a78258d3e7fc53c63e968228a98f0abd0

New changelog entries:
  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

applied/ubuntu/maverick 2010-10-05 23:10:33 UTC 2010-10-05
Import patches-applied version 2:3.5.4~dfsg-1ubuntu8 to applied/ubuntu/maverick

Author: Chuck Short
Author Date: 2010-10-04 13:50:26 UTC

Import patches-applied version 2:3.5.4~dfsg-1ubuntu8 to applied/ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 494d161553ae449084d881480f2323aa121e2b72
Unapplied parent: 83cc380818e092b0e6541647fc9644fd01fbd005

New changelog entries:
  * debian/samba.if-up: We dont use init scripts in samba anymore.
    (LP: #654556)

ubuntu/maverick 2010-10-05 23:10:33 UTC 2010-10-05
Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8 to ubuntu/maverick

Author: Chuck Short
Author Date: 2010-10-04 13:50:26 UTC

Import patches-unapplied version 2:3.5.4~dfsg-1ubuntu8 to ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: de6fef088b81d5d4fe86099ef120101b60daacfd

New changelog entries:
  * debian/samba.if-up: We dont use init scripts in samba anymore.
    (LP: #654556)

ubuntu/jaunty-security 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 729a74e310e38916ecf88d54eeedef861727d81c

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

applied/ubuntu/jaunty-security 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a4a2510114ca0c612163a693e99091d01d4fafec
Unapplied parent: 733ff6750977969948a5c05ff3ec6d7d448df3c0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

ubuntu/jaunty-devel 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 729a74e310e38916ecf88d54eeedef861727d81c

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

ubuntu/jaunty-updates 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-unapplied version 2:3.3.2-1ubuntu3.6 to ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: 729a74e310e38916ecf88d54eeedef861727d81c

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

applied/ubuntu/jaunty-updates 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a4a2510114ca0c612163a693e99091d01d4fafec
Unapplied parent: 733ff6750977969948a5c05ff3ec6d7d448df3c0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

applied/ubuntu/jaunty-devel 2010-09-14 13:10:50 UTC 2010-09-14
Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-se...

Author: Marc Deslauriers
Author Date: 2010-09-09 14:49:44 UTC

Import patches-applied version 2:3.3.2-1ubuntu3.6 to applied/ubuntu/jaunty-security

Imported using git-ubuntu import.

Changelog parent: a4a2510114ca0c612163a693e99091d01d4fafec
Unapplied parent: 733ff6750977969948a5c05ff3ec6d7d448df3c0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in source3/lib/util_sid.c, source/libads/ldap.c,
      source/libsmb/cliquota.c, source/smbd/nttrans.c.
    - CVE-2010-3069

ubuntu/lucid 2010-04-09 15:04:59 UTC 2010-04-09
Import patches-unapplied version 2:3.4.7~dfsg-1ubuntu3 to ubuntu/lucid

Author: Thierry Carrez
Author Date: 2010-04-09 14:50:07 UTC

Import patches-unapplied version 2:3.4.7~dfsg-1ubuntu3 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 402b5819bbb493206ee1eac4165b098c374f8009

New changelog entries:
  * debian/winbind.pam-config: Fix potential breakage with stacking of
    lower-priority modules in common-passwd (LP: #556996)

applied/ubuntu/lucid 2010-04-09 15:04:59 UTC 2010-04-09
Import patches-applied version 2:3.4.7~dfsg-1ubuntu3 to applied/ubuntu/lucid

Author: Thierry Carrez
Author Date: 2010-04-09 14:50:07 UTC

Import patches-applied version 2:3.4.7~dfsg-1ubuntu3 to applied/ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: ff6c734868da655f930f096793101419a1c55a3b
Unapplied parent: 2815bd37a2b518afee2e1affa857d73a9fa42879

New changelog entries:
  * debian/winbind.pam-config: Fix potential breakage with stacking of
    lower-priority modules in common-passwd (LP: #556996)

ubuntu/intrepid-updates 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 95f1532cd63027ba2936789bbac2b5b8ef933cc4

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

ubuntu/intrepid-security 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 95f1532cd63027ba2936789bbac2b5b8ef933cc4

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

applied/ubuntu/intrepid-updates 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 48da7fd167c2b90f742be6786bef74618baca11e
Unapplied parent: 4d07c9369fc041de1bd750d535deebc925dc559f

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

ubuntu/intrepid-devel 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-unapplied version 2:3.2.3-1ubuntu3.8 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 95f1532cd63027ba2936789bbac2b5b8ef933cc4

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

applied/ubuntu/intrepid-security 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 48da7fd167c2b90f742be6786bef74618baca11e
Unapplied parent: 4d07c9369fc041de1bd750d535deebc925dc559f

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

applied/ubuntu/intrepid-devel 2010-03-24 13:08:18 UTC 2010-03-24
Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-...

Author: Marc Deslauriers
Author Date: 2010-03-18 19:08:42 UTC

Import patches-applied version 2:3.2.3-1ubuntu3.8 to applied/ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 48da7fd167c2b90f742be6786bef74618baca11e
Unapplied parent: 4d07c9369fc041de1bd750d535deebc925dc559f

New changelog entries:
  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source/param/loadparm.c,
      source/smbd/service.c, source/smbd/trans2.c, source/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

ubuntu/karmic-proposed 2010-02-17 16:05:16 UTC 2010-02-17
Import patches-unapplied version 2:3.4.0-3ubuntu5.5 to ubuntu/karmic-proposed

Author: Chuck Short
Author Date: 2010-02-05 20:03:50 UTC

Import patches-unapplied version 2:3.4.0-3ubuntu5.5 to ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: d13d6a5001e976419ad13226206b1f7e46dfaf3d

New changelog entries:
  * debian/patches/fix-libsmb-keepalive-packets.patch: Fix winbind authentication
    due to an invalid NTML2 signature. (LP: #479955)
    (https://bugzilla.samba.org/show_bug.cgi?id=6646)
  * debian/patches/fix-samba-point-and-print.patch: Allow automatic download
    of printer drivers from a Samba PDC (LP: #500457)
    (https://bugzilla.samba.org/show_bug.cgi?id=6568)
  * debian/patches/fix-too-many-openfiles.patch: When connecting to a Windows
    7 share users will get an error message "Too many open files are in use"
    after a certain number of files are copied. (LP: #462172 )
    (https://bugzilla.samba.org/show_bug.cgi?id=6837)
  * debian/patches/fix-win98-failed-connect.patch: Allow win98 clients to
    connect a samba server. Users will get an "Error 66" message. (LP: #502878)
    (https://bugzilla.samba.org/show_bug.cgi?id=6551)

applied/ubuntu/karmic-proposed 2010-02-17 16:05:16 UTC 2010-02-17
Import patches-applied version 2:3.4.0-3ubuntu5.5 to applied/ubuntu/karmic-pr...

Author: Chuck Short
Author Date: 2010-02-05 20:03:50 UTC

Import patches-applied version 2:3.4.0-3ubuntu5.5 to applied/ubuntu/karmic-proposed

Imported using git-ubuntu import.

Changelog parent: 23073ac701f6bf8b3a11c000a61e8d4e1be83ede
Unapplied parent: 1c703875537b13e67e926b3c1a23325f33cd6232

New changelog entries:
  * debian/patches/fix-libsmb-keepalive-packets.patch: Fix winbind authentication
    due to an invalid NTML2 signature. (LP: #479955)
    (https://bugzilla.samba.org/show_bug.cgi?id=6646)
  * debian/patches/fix-samba-point-and-print.patch: Allow automatic download
    of printer drivers from a Samba PDC (LP: #500457)
    (https://bugzilla.samba.org/show_bug.cgi?id=6568)
  * debian/patches/fix-too-many-openfiles.patch: When connecting to a Windows
    7 share users will get an error message "Too many open files are in use"
    after a certain number of files are copied. (LP: #462172 )
    (https://bugzilla.samba.org/show_bug.cgi?id=6837)
  * debian/patches/fix-win98-failed-connect.patch: Allow win98 clients to
    connect a samba server. Users will get an "Error 66" message. (LP: #502878)
    (https://bugzilla.samba.org/show_bug.cgi?id=6551)

ubuntu/karmic 2009-10-02 09:04:30 UTC 2009-10-02
Import patches-unapplied version 2:3.4.0-3ubuntu5 to ubuntu/karmic

Author: Marc Deslauriers
Author Date: 2009-10-01 12:20:29 UTC

Import patches-unapplied version 2:3.4.0-3ubuntu5 to ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 42d0fec83949b4e4b9f628e0a055759779fd92de

New changelog entries:
  * SECURITY UPDATE: whole filesystem share via user with no home directory
    - debian/patches/security-CVE-2009-2813.patch: make sure home directory
      is set in source3/param/loadparm.c, source3/smbd/service.c.
    - CVE-2009-2813
  * SECURITY UPDATE: credentials file disclosure and unauthorized usage via
    setuid mount.cifs
    - debian/patches/security-CVE-2009-2948.patch: don't open credentials
      file if user doesn't have permission, and don't print password when
      using verbose option in source3/client/mount.cifs.c.
    - CVE-2009-2948
  * SECURITY UPDATE: denial of service via unexpected oplock break
    notification reply
    - debian/patches/security-CVE-2009-2906.patch: track messages already
      processed in source3/include/smb.h, source3/smbd/process.c.
    - CVE-2009-2906

applied/ubuntu/karmic 2009-10-02 09:04:30 UTC 2009-10-02
Import patches-applied version 2:3.4.0-3ubuntu5 to applied/ubuntu/karmic

Author: Marc Deslauriers
Author Date: 2009-10-01 12:20:29 UTC

Import patches-applied version 2:3.4.0-3ubuntu5 to applied/ubuntu/karmic

Imported using git-ubuntu import.

Changelog parent: 20b88e85db1ce8122a84d10a680e16d412ea2be9
Unapplied parent: d99fff6c67eaf56b6fa6b07f8f518074451afb86

New changelog entries:
  * SECURITY UPDATE: whole filesystem share via user with no home directory
    - debian/patches/security-CVE-2009-2813.patch: make sure home directory
      is set in source3/param/loadparm.c, source3/smbd/service.c.
    - CVE-2009-2813
  * SECURITY UPDATE: credentials file disclosure and unauthorized usage via
    setuid mount.cifs
    - debian/patches/security-CVE-2009-2948.patch: don't open credentials
      file if user doesn't have permission, and don't print password when
      using verbose option in source3/client/mount.cifs.c.
    - CVE-2009-2948
  * SECURITY UPDATE: denial of service via unexpected oplock break
    notification reply
    - debian/patches/security-CVE-2009-2906.patch: track messages already
      processed in source3/include/smb.h, source3/smbd/process.c.
    - CVE-2009-2906

ubuntu/jaunty-proposed 2009-07-08 08:04:38 UTC 2009-07-08
Import patches-unapplied version 2:3.3.2-1ubuntu3.1 to ubuntu/jaunty-proposed

Author: Chuck Short
Author Date: 2009-06-29 13:35:34 UTC

Import patches-unapplied version 2:3.3.2-1ubuntu3.1 to ubuntu/jaunty-proposed

Imported using git-ubuntu import.

Changelog parent: 3944f909890fc93a23950ab92ed94a020f16f3f1

New changelog entries:
  * debian/patches/fix-password-expiry-calculation.patch: Use correct
    value for password expiry calculation. (LP: #393450)

applied/ubuntu/jaunty-proposed 2009-07-08 08:04:38 UTC 2009-07-08
Import patches-applied version 2:3.3.2-1ubuntu3.1 to applied/ubuntu/jaunty-pr...

Author: Chuck Short
Author Date: 2009-06-29 13:35:34 UTC

Import patches-applied version 2:3.3.2-1ubuntu3.1 to applied/ubuntu/jaunty-proposed

Imported using git-ubuntu import.

Changelog parent: 574944e0fbdaaeacad477be94b820a838b426369
Unapplied parent: 8a1f7cd03fd4fae8dbb7845ff88e25e9b5b6edae

New changelog entries:
  * debian/patches/fix-password-expiry-calculation.patch: Use correct
    value for password expiry calculation. (LP: #393450)

ubuntu/jaunty 2009-03-27 16:04:45 UTC 2009-03-27
Import patches-unapplied version 2:3.3.2-1ubuntu3 to ubuntu/jaunty

Author: Chuck Short
Author Date: 2009-03-27 14:46:15 UTC

Import patches-unapplied version 2:3.3.2-1ubuntu3 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: fe8fda9986d4759e2eac522bf46a100b9587ca4d

New changelog entries:
  [Thierry Carrez]
  * debian/samba-common.postinst: Add more informative error message for
    the case where smb.conf was manually deleted (LP: #312449)
  [Chuck Short]
  * debian/control: Add suggests keyutils for smbfs. (LP: #300221)

applied/ubuntu/jaunty 2009-03-27 16:04:45 UTC 2009-03-27
Import patches-applied version 2:3.3.2-1ubuntu3 to applied/ubuntu/jaunty

Author: Chuck Short
Author Date: 2009-03-27 14:46:15 UTC

Import patches-applied version 2:3.3.2-1ubuntu3 to applied/ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 329daae80d3823c845218cc73978226f3896446c
Unapplied parent: 3944f909890fc93a23950ab92ed94a020f16f3f1

New changelog entries:
  [Thierry Carrez]
  * debian/samba-common.postinst: Add more informative error message for
    the case where smb.conf was manually deleted (LP: #312449)
  [Chuck Short]
  * debian/control: Add suggests keyutils for smbfs. (LP: #300221)

applied/ubuntu/hardy-proposed 2009-03-09 14:07:18 UTC 2009-03-09
Import patches-applied version 3.0.28a-1ubuntu4.8 to applied/ubuntu/hardy-pro...

Author: Adrien Cunin
Author Date: 2009-02-16 21:16:22 UTC

Import patches-applied version 3.0.28a-1ubuntu4.8 to applied/ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 7c39300acbd5cd05bc25715598581fbb4bed54fe
Unapplied parent: f22e8985cc970925b3e251158a8a1e0ea0e1e7f8

New changelog entries:
  * Added debian/patches/fix-winbindd-crash-dc.patch:
     - Fix winbindd crash when calling getent group on domain controller (LP: #328874)
     - upstream commit in 3.0 branch: db4a435d235bedf48d668a0f4418dd46f38044ed
     - upstream bug: #5906

ubuntu/hardy-proposed 2009-03-09 14:07:18 UTC 2009-03-09
Import patches-unapplied version 3.0.28a-1ubuntu4.8 to ubuntu/hardy-proposed

Author: Adrien Cunin
Author Date: 2009-02-16 21:16:22 UTC

Import patches-unapplied version 3.0.28a-1ubuntu4.8 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 8c7a18bc7d9d3cadc34b18aba6fddb1c9de14ac8

New changelog entries:
  * Added debian/patches/fix-winbindd-crash-dc.patch:
     - Fix winbindd crash when calling getent group on domain controller (LP: #328874)
     - upstream commit in 3.0 branch: db4a435d235bedf48d668a0f4418dd46f38044ed
     - upstream bug: #5906

applied/ubuntu/intrepid-proposed 2009-01-23 17:05:12 UTC 2009-01-23
Import patches-applied version 2:3.2.3-1ubuntu3.5 to applied/ubuntu/intrepid-...

Author: Chuck Short
Author Date: 2009-01-12 18:40:17 UTC

Import patches-applied version 2:3.2.3-1ubuntu3.5 to applied/ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 35d43865fd39597361a52e90e03e0865525e9503
Unapplied parent: 1f74b1acfe97a49ad6eacc1825feffa7dc7e1606

New changelog entries:
  * debian/patches/fix-libnss-sigabrt.patch: Fix sigabort when using
    wins client. Taken from upstream. (LP: #286119)
  * debian/patches/ Fix sigsev when using old NAS devices. Taken
    from upstream. Thanks to Thierry Carrez for tracking this down.
    (LP: #264943)

ubuntu/intrepid-proposed 2009-01-23 17:05:12 UTC 2009-01-23
Import patches-unapplied version 2:3.2.3-1ubuntu3.5 to ubuntu/intrepid-proposed

Author: Chuck Short
Author Date: 2009-01-12 18:40:17 UTC

Import patches-unapplied version 2:3.2.3-1ubuntu3.5 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: c5c1282c1cf134c59cad8ec72ad0032131700ed0

New changelog entries:
  * debian/patches/fix-libnss-sigabrt.patch: Fix sigabort when using
    wins client. Taken from upstream. (LP: #286119)
  * debian/patches/ Fix sigsev when using old NAS devices. Taken
    from upstream. Thanks to Thierry Carrez for tracking this down.
    (LP: #264943)

applied/ubuntu/intrepid 2008-10-10 14:04:27 UTC 2008-10-10
Import patches-applied version 2:3.2.3-1ubuntu3 to applied/ubuntu/intrepid

Author: Thierry Carrez
Author Date: 2008-10-10 09:24:48 UTC

Import patches-applied version 2:3.2.3-1ubuntu3 to applied/ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: f7966c64d5c62e00afb3964da7a0f98d5d7bf4d4
Unapplied parent: 1631e50aee64f64c4feec704ff6cf32762e9408c

New changelog entries:
  * Fix pam-smbpass.so crashing because it misses /var/lib/samba (LP: #260687)
    - debian/samba-common.dirs: create /var/lib/samba in samba-common
    - debian/samba.postrm: don't completely remove /var/lib/samba on purge
      (just let samba-common postrm do it)

ubuntu/intrepid 2008-10-10 14:04:27 UTC 2008-10-10
Import patches-unapplied version 2:3.2.3-1ubuntu3 to ubuntu/intrepid

Author: Thierry Carrez
Author Date: 2008-10-10 09:24:48 UTC

Import patches-unapplied version 2:3.2.3-1ubuntu3 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: a470df2640435a6e74cf174ee24b2b6ffdb55a46

New changelog entries:
  * Fix pam-smbpass.so crashing because it misses /var/lib/samba (LP: #260687)
    - debian/samba-common.dirs: create /var/lib/samba in samba-common
    - debian/samba.postrm: don't completely remove /var/lib/samba on purge
      (just let samba-common postrm do it)

ubuntu/gutsy-devel 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 6e97b9bf94a70b27a8804fe5e44a989a979f122d

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/feisty-devel 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 21a27727987d9728bf224c2adb377edde8619ace
Unapplied parent: d864ce69c9ac8f1741eee3817b472b1090a53df4

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/feisty-security 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 21a27727987d9728bf224c2adb377edde8619ace
Unapplied parent: d864ce69c9ac8f1741eee3817b472b1090a53df4

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/feisty-updates 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-applied version 3.0.24-2ubuntu1.7 to applied/ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 21a27727987d9728bf224c2adb377edde8619ace
Unapplied parent: d864ce69c9ac8f1741eee3817b472b1090a53df4

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/gutsy-devel 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: ecf8d4b2d9e504a9db8789c5acc7a507f0c98a57
Unapplied parent: 7c162ce4bb773527058045f76cab014915c41d24

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/feisty-devel 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 97f19d56d685eb13a5dfa4efce964e75399839ed

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/feisty-security 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 97f19d56d685eb13a5dfa4efce964e75399839ed

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/feisty-updates 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:47:35 UTC

Import patches-unapplied version 3.0.24-2ubuntu1.7 to ubuntu/feisty-security

Imported using git-ubuntu import.

Changelog parent: 97f19d56d685eb13a5dfa4efce964e75399839ed

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/gutsy-security 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 6e97b9bf94a70b27a8804fe5e44a989a979f122d

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/gutsy-security 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: ecf8d4b2d9e504a9db8789c5acc7a507f0c98a57
Unapplied parent: 7c162ce4bb773527058045f76cab014915c41d24

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

ubuntu/gutsy-updates 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-unapplied version 3.0.26a-1ubuntu2.5 to ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: 6e97b9bf94a70b27a8804fe5e44a989a979f122d

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

applied/ubuntu/gutsy-updates 2008-06-30 19:09:21 UTC 2008-06-30
Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-sec...

Author: Jamie Strandboge
Author Date: 2008-06-28 13:42:59 UTC

Import patches-applied version 3.0.26a-1ubuntu2.5 to applied/ubuntu/gutsy-security

Imported using git-ubuntu import.

Changelog parent: ecf8d4b2d9e504a9db8789c5acc7a507f0c98a57
Unapplied parent: 7c162ce4bb773527058045f76cab014915c41d24

New changelog entries:
  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

101200 of 234 results

Other repositories

Name Last Modified
lp:ubuntu/+source/samba 2019-06-22
lp:~rafaeldtinoco/ubuntu/+source/samba 2019-06-11
lp:~ahasenack/ubuntu/+source/samba 2019-03-29
lp:~kstenerud/ubuntu/+source/samba 2018-11-28
lp:~paelzer/ubuntu/+source/samba 2018-10-16
lp:~racb/ubuntu/+source/samba 2018-09-26
16 of 6 results
You can't create new repositories for samba in Ubuntu.